Bug 584622 - [abrt] crash in gwibber-1:2.30.0.1-1.fc13: client.py:342:<lambda>:NameError: free variable 'about_dialog' referenced before assignment in enclosing scope
[abrt] crash in gwibber-1:2.30.0.1-1.fc13: client.py:342:<lambda>:NameError: ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gwibber (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
abrt_hash:dc7e0e88
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-22 00:30 EDT by Justin O'Brien
Modified: 2010-08-19 22:10 EDT (History)
1 user (show)

See Also:
Fixed In Version: gwibber-2.31.4-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-19 21:56:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (501 bytes, text/plain)
2010-04-22 00:30 EDT, Justin O'Brien
no flags Details

  None (edit)
Description Justin O'Brien 2010-04-22 00:30:49 EDT
abrt 1.0.9 detected a crash.

architecture: i686
cmdline: /usr/bin/python /usr/bin/gwibber
component: gwibber
executable: /usr/bin/gwibber
kernel: 2.6.33.2-41.fc13.i686
package: gwibber-1:2.30.0.1-1.fc13
reason: client.py:342:<lambda>:NameError: free variable 'about_dialog' referenced before assignment in enclosing scope
release: Fedora release 13 (Goddard)

backtrace
-----
client.py:342:<lambda>:NameError: free variable 'about_dialog' referenced before assignment in enclosing scope

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gwibber/client.py", line 342, in <lambda>
    about_dialog.connect("response", lambda *a: about_dialog.hide())
NameError: free variable 'about_dialog' referenced before assignment in enclosing scope

Local variables in innermost frame:
a: (<gtk.AboutDialog object at 0x9adbd24 (GtkAboutDialog at 0x99039e8)>, -6)
Comment 1 Justin O'Brien 2010-04-22 00:30:50 EDT
Created attachment 408232 [details]
File: backtrace
Comment 2 Fedora Update System 2010-07-26 15:21:59 EDT
gwibber-2.31.2-7.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 3 Fedora Update System 2010-07-26 15:27:14 EDT
gwibber-2.31.2-7.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 4 Fedora Update System 2010-07-26 22:23:23 EDT
gwibber-2.31.2-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc13
Comment 5 Fedora Update System 2010-07-26 22:30:59 EDT
gwibber-2.31.2-7.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.2-7.fc12
Comment 6 Fedora Update System 2010-08-09 16:26:46 EDT
gwibber-2.31.4-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 7 Fedora Update System 2010-08-09 16:31:38 EDT
gwibber-2.31.4-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 8 Fedora Update System 2010-08-10 17:28:39 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc12
Comment 9 Fedora Update System 2010-08-10 17:34:08 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update gwibber'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/gwibber-2.31.4-1.fc13
Comment 10 Fedora Update System 2010-08-19 21:51:11 EDT
gwibber-2.31.4-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2010-08-19 22:05:46 EDT
gwibber-2.31.4-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.